Redmine - Feature #4285

Add cancel button during edition of the wiki
2009-11-25 09:39 - Kamil .

Status: Closed Start date: 2009-11-25
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.2.0

Resolution: Fixed

Description

Lack of cancel button during edition of wiki page is very confusing.

Should | use back button? Or where should | click to avoid disaster?

Related issues:

Has duplicate Redmine - Feature #20828: Cancel button on wiki edit view Closed

Has duplicate Redmine - Feature #1720: Back button in Wiki Closed 2008-07-31

Associated revisions

Revision 14734 - 2015-10-24 08:51 - Jean-Philippe Lang
Add cancel button during edition of a wiki page (#4285).

History

#1 - 2009-11-25 09:43 - Kamil .

To tell the truth there is a lot of places in Redmine, where users suffer for lack the cancel or back to ... buttons.

Such a lack is a serious usability issue.

#2 - 2009-11-25 20:50 - Jean-Philippe Lang

- Subject changed from Cancel button during edition of the wiki to Add cancel button during edition of the wiki

#3 - 2009-11-25 20:50 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#4 - 2009-11-26 19:59 - Jean-Philippe Lang
- Category set to Ul

- Priority changed from Normal to Low

#5 - 2010-09-16 22:48 - Mark P

| agree that having a Cancel button when editing an issue or wiki page would be nice for users. | generally refresh my browser if | think | have
messed something up, but that seems a tad clunky. Some of my users have expressed an expectation of seeing Cancel too.

#6 - 2011-03-15 08:54 - Dylan Yi

+1 for every form that has Ok/Submit button. It should have Cancel button also. While editing this comment, | cannot but finish editing because there's

no Cancel button. ;)

#7 - 2011-07-11 00:22 - Evgeny Tsirkin
- File cancel _button for_issue.diff added

- Assignee set to Jean-Philippe Lang

As | see it the main problem with Cancel button is to know were exactly to return to.
Attached suggested patch for "New issue" cancel button ,in this particular case ,
hitting cancel will get you "back" to "issues" which is what for my opinion is the most

likely what the user expects.

Again ,since the New issue is a tab ,were exactly do you redirect the user on Cancel?

Another possible option is to create a Clear button ,not the Cancel one.

The patch is against 1.2.0 stable.
#8 - 2011-07-11 10:08 - Etienne Massip
- Assignee deleted (Jean-Philippe Lang)

Please don't set assignee.

#9 - 2011-07-11 10:54 - Evgeny Tsirkin
Sorry.

Etienne Massip wrote:

Please don't set assignee.

#10 - 2013-05-09 19:30 - Fernando Hartmann

There are some places that is really very difficult to know what to do on the cancel event, but there are others that is very easy.
Why not to solve this in parts ?
First solve the easy ones ? Like

¢ |ssue update
o Wiki edit
e Others ?

Others more difficult we can leave to solve in future.

+1

#11 - 2013-05-09 20:08 - Jean-Baptiste Barth

There's no special difficulty about where to go back in those cases | think. A back url mechanism as in other places in Redmine would be ok.
Some thoughts:

e the difficulty is mainly Ul: in "New Issue" we already have 2 buttons and one link, adding an other can add some confusion ; maybe throw it on
the right side ?

¢ the previous button is always ok in Redmine ; | know there are a lot of apps out there that are still in the 90s and horribly break when using
Previous/Next buttons, but Redmine is not one of them, there are clean redirects after form submissions so Previous/Next could only lead you to
safe actions

e @Evgeny: thanks for your patch but | think we should do a simple link ; going with a button on the create action is semantically incorrect | think,
and it's dangerous (if we break our check, we submit the form whereas we didn't want to)

#12 - 2015-09-24 11:24 - Go MAEDA
- Has duplicate Feature #20828: Cancel button on wiki edit view added

#13 - 2015-09-24 11:24 - Go MAEDA
- Priority changed from Low to Normal

- Target version set to Candidate for next major release

#14 - 2015-09-24 14:59 - Go MAEDA
- File wiki-edit-cancel.diff added

| wrote a patch to add cancel button on wiki edit view.

| think the view should have cancel button for consistency of operation, because issue edit view on Redmine 2.6.1 and later has cancel button (
#18051).

#15 - 2015-10-03 08:18 - Go MAEDA
- File wiki-edit-cancel-20151003.diff added

Updated the patch.
Move to a parent page when cancel is clicked if the page is new page.

#16 - 2015-10-22 06:00 - Toshi MARUYAMA

- Target version changed from Candidate for next major release to 3.2.0
https://www.redmine.org/issues/18051

#17 - 2015-10-24 08:51 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Cancel link added to wiki edit in r14734.

#18 - 2016-07-13 10:58 - Anonymous

Our users have requested a cancel link for new issues and news as well. Could this be implemented in 3.4.0? The target could be the previous page
as already suggested above.

#19 - 2016-08-10 03:49 - Toshi MARUYAMA
JW Fuchs wrote:
Our users have requested a cancel link for new issues and news as well. Could this be implemented in 3.4.0? The target could be the previous

page as already suggested above.

Please create new issues.

#20 - 2016-08-10 09:07 - Anonymous
Toshi MARUYAMA wrote:

JW Fuchs wrote:
Our users have requested a cancel link for new issues and news as well. Could this be implemented in 3.4.0? The target could be the
previous page as already suggested above.

Please create new issues.

Thanks, #23555 created

#21 - 2016-09-15 11:34 - Toshi MARUYAMA
- Has duplicate Feature #1720: Back button in Wiki added

Files

cancel_button_for_issue.diff 1.74 KB 2011-07-10 Evgeny Tsirkin
wiki-edit-cancel.diff 714 Bytes 2015-09-24 Go MAEDA
wiki-edit-cancel-20151003.diff 886 Bytes 2015-10-03 Go MAEDA
